HOW TO INSTALL GO 1.20 for Running Nuclei in Kali Linux

Hades
Jun 20, 2023

--

I experienced a problem when installing nuclei, namely an error that said module requires Go 1.20.
With this opportunity, I will share how to upgrade the Go version to the Kali Linux version.

1. apt-update
2. apt upgrade
3. wget https://go.dev/dl/go1.20.2.linux-amd64.tar.gz
4. tar -C /usr/local/ -xvf go1.20.2.linux-amd64.tar.gz

5. Go down at the end of the file and add:

#go variables
export GOROOT=/usr/local/go
export GOPATH=$HOME/go
export PATH=$GOPATH/bin:$GOROOT/bin:$PATH

6. go version
done

I hope that this article will help solve your problem.
Thank You

Best Regards,
Hades

--

--